#
# spec file for package perl-String-RewritePrefix
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name String-RewritePrefix
Name:           perl-String-RewritePrefix
Version:        0.009
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Rewrite strings based on a set of known prefixes
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Sub::Exporter) >= 0.972
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Sub::Exporter) >= 0.972
%{perl_requires}

%description
rewrite strings based on a set of known prefixes

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan  1 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.009
  see /usr/share/doc/packages/perl-String-RewritePrefix/Changes
  0.009     2022-12-31 16:30:04-05:00 America/New_York
  - update packaging and metadata
  - minimum required Perl is now v5.12
* Sun Jan 26 2020 <timueller+perl@suse.de>
- updated to 0.008
  see /usr/share/doc/packages/perl-String-RewritePrefix/Changes
  0.008     2020-01-25 16:10:30-05:00 America/New_York
    more tests (thanks, Olivier Mengué!)
    warn when rewriting an empty list in scalar context (thanks, Olivier Mengué!)
* Tue Nov 26 2013 coolo@suse.com
- updated to 0.007
  update bugtracker and repo metadata
* Wed Aug  3 2011 coolo@novell.com
- updated to 0.006
    give explicit Sub::Exporter requirement
    do not warn if a coderef prefix generator returns undef
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jan 12 2010 nine@detonation.org
- Specfile autogenerated by cpanspec 1.78.
